For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
View Verification PricingDashboard
OverviewAPI ReferenceIntegrations
OverviewAPI ReferenceIntegrations
    • API Authentication
    • API Rate Limits
    • API Usage Tracking
  • ApexVerify Api
      • GETBatch List
      • POSTBatch Upload
      • GETBatch Status
      • POSTBatch Verification Launch
      • PUTBatch Parameters Update
      • DELBatch Deletion
      • PATCHBatch Preparation & Content Reprocessing
      • GETBatch Result Export
      • GETBatch Details
LogoLogo
View Verification PricingDashboard
ApexVerify ApiBatch

Batch List

||View as Markdown|
GET
https://api.apexverify.com/v1/batch
GET
/v1/batch
$curl https://api.apexverify.com/v1/batch \
> -H "X-API-Key: <apiKey>"
1[
2 {
3 "batch_uuid": "string",
4 "name": "string",
5 "description": "string",
6 "status": "parsing_content",
7 "created_at": "2024-01-15T09:30:00Z",
8 "updated_at": "2024-01-15T09:30:00Z"
9 }
10]
List all batch files for the account, including each batch UUID, status, name, and creation date.
Was this page helpful?
Previous

Account Credits

Next

Batch Upload

Built with

Authentication

X-API-Keystring
API Key authentication via header

Query parameters

limitintegerOptional1-1000Defaults to 100
offsetintegerOptional>=0Defaults to 0
from_datedatetime or nullOptional
to_datedatetime or nullOptional

Response

Successful Response
batch_uuidstringformat: "uuid"
namestring
descriptionstring or null
statusenum
Allowed values:
created_atdatetime
updated_atdatetime

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error